Ask Your Question
0

Installation of RGBDSLAM for not ROS user

asked 2013-06-28 03:00:45 -0500

this post is marked as community wiki

This post is a wiki. Anyone with karma >75 is welcome to improve it.

Hi all,

When I try to install rgbdslam for my machine using the RGBDSLAM for not ROS users instruction I encountered a problem as follows

when I type ... $ sudo apt-get install ros-fuerte-perception-pcl ros-fuerte-vision-opencv ros-fuerte-octomap-mapping python-rosdep

It gives an error message of ...

Reading package lists... Done Building dependency tree
Reading state information... Done E: Unable to locate package ros-fuerte-perception-pcl E: Unable to locate package ros-fuerte-vision-opencv E: Unable to locate package ros-fuerte-octomap-mapping

Some specifications - Ubuntu 12.10, 32 bit

edit retag flag offensive close merge delete

3 Answers

Sort by ยป oldest newest most voted
0

answered 2013-07-08 02:32:38 -0500

this post is marked as community wiki

This post is a wiki. Anyone with karma >75 is welcome to improve it.

Sounds like the previous step hasn't worked out. Maybe you forgot

sudo apt-get update

So it's probably going to work if you start over. Otherwise please post the output of

cat /etc/apt/sources.list.d/ros-latest.list
edit flag offensive delete link more

Comments

Either that or forgot to add the repository from the first instruction, I managed to do it as I'm new to linux

boog gravatar image boog  ( 2013-07-08 03:09:54 -0500 )edit
0

answered 2016-01-16 09:27:34 -0500

jacksonkr_ gravatar image

updated 2016-01-16 09:51:42 -0500

I ended up going to the ros mirrors page: http://wiki.ros.org/ROS/Installation/...

I found the mirror which was closest to me and added it to my sources list:

$ sudo sh -c '. /etc/lsb-release && echo "deb http://mirror.umd.edu/packages.ros.org/ros/ubuntu $DISTRIB_CODENAME main" > /etc/apt/sources.list.d/ros-latest.list'

After that I was able to run

$ sudo apt-get install ros-fuerte-perception-pcl ros-fuerte-vision-opencv ros-fuerte-octomap-mapping python-rosdep

Good luck! // ubuntu 12.04

edit flag offensive delete link more
0

answered 2016-03-08 12:20:47 -0500

Can u please help with ubuntu 14.04 too? Same error

edit flag offensive delete link more

Comments

Please open up a new question with specific details regarding your problem. Guessing what your actual problem is (probably not installing rgbdslam for fuerte on 14.04) is too cumbersome...

Felix Endres gravatar image Felix Endres  ( 2016-03-09 12:31:40 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2013-06-28 03:00:45 -0500

Seen: 461 times

Last updated: Jan 16 '16